--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Makes a new service discoverable. Service is discoverable until stop is called.
- !ruby/struct:SM::Flow::VERB 
  body: " # garbage_files is an HTTP server available on port 3000\n Easyjour.serve(&quot;garbage_files&quot;, 'http', 3000)\n"
full_name: Easyjour::serve
is_singleton: true
name: serve
params: (name, service, port, text_record = {}, protocol = :tcp)
visibility: public
